Agree , we should test the functions that were using old dojo to see if they are still working after upgrading to dojo 1.4.0.

On Wed, Jan 6, 2010 at 2:54 PM, Ivan <xhhsld@gmail.com> wrote:
Is the new version compatable with the old one ? If yes, I think we could upgrade it.

2010/1/6 Delos <daition@gmail.com>

Hi,

Dojo 1.4.0 has released on Dec.15. How about upgrade Dojo version to 1.4.0 for Geronimo 3.0?

Some new Widgets are provided, such as EnhancedDataGrid; meanswhile a lot of refactoring work makes it faster than before.

BTW, for you to feel the improvement of Dojo 1.4.0, I have uploaded a demo of pluto 2.0 and Dojo 1.4.0 here https://svn.apache.org/repos/asf/geronimo/sandbox/delos/portlet+dojo/portlet-dojo1.4.0-demo.zip.

Steps to run demo
1. Extract the zip
2. launch "bin/startup.sh" or bin/startup.bat"
3. visit "http://localhost:8080/pluto/portal/BundlePage, you will see a portlet showing OSGI bundles with dojo 1.4.0 widgets

Upgrade to Dojo 1.4.0, any comments?

Thanks!
--
Best Regards,

Delos



--
Ivan



--
Shawn